## ppp 2.3.11

=== Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = hppaSerialPatch.bproj

PROJECTVERSION = 1.1
LANGUAGE = English

BUNDLES = hppaSerialPatch.bproj

OTHERSRCS = Makefile Makefile.postamble Makefile.preamble


MAKEFILEDIR = /NextDeveloper/Makefiles/app
MAKEFILE = bundle.make
SOURCEMODE = 444

BUNDLE_EXTENSION = bundle


-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== osf1/Makefile ===
#
# Dummy Makefile for OSF/1
#
# $Id: Makefile,v 1.6 1999/04/27 22:24:23 varadhan Exp $
#

KOBJ = if_ppp.o ppp_comp.o ppp_init.o vjcompress.o bsd-comp.o deflate.o\
       ppp.o ppp_ahdlc.o zlib.o

install: 
	@echo
	@echo ' Proceeding to build the kernel. You must have followed the 
	@echo ' instructions in README.osf prior to this step'
	@echo
	./makevers
	cp ../modules/bsd-comp.c ../modules/deflate.c ../modules/ppp.c \
	../modules/ppp_ahdlc.c ../modules/ppp_comp.c ../modules/ppp_mod.h \
	../modules/vjcompress.c  $(STREAMSDIR)
	cp ../modules/if_ppp.c $(STREAMSDIR)
	cp ppp_init.c $(STREAMSDIR)
	cp ../common/zlib.c ../common/zlib.h $(STREAMSDIR)
	cp ../include/net/ppp-comp.h ../include/net/ppp_defs.h \
	../include/net/pppio.h ../include/net/vjcompress.h $(INCLNETDIR)
#
# The following assumes that OS version is at least 4.0
#
	@( cd /usr/sys/conf; \
	   ../bin/sourceconfig BINARY; \
	   cd /usr/sys/BINARY ; \
	   make $(KOBJ); \
	   make MODULE_ppp; \
	   cp /usr/sys/BINARY/ppp.mod /sys/BINARY/ppp.mod; \
	   echo ;\
	   echo 'Please modify lockinfo.c and run doconfig to build kernel now.' )

=== hppaSerialPatch.bproj/hppaSerialPatch_reloc.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = HPParallelPort_reloc

PROJECTVERSION = 1.1
LANGUAGE = English

CLASSES = hppaSerialPatch.m

HFILES = hppaSerialPatch.h

OTHERSRCS = Makefile Makefile.preamble Makefile.postamble\
            Makefile.driver_preamble Load_Commands.sect


MAKEFILEDIR = /NextDeveloper/Makefiles/app
MAKEFILE = tool.make
SOURCEMODE = 444





-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

## ppp 2.4.2+20040202-3osso5

=== debian/changelog ===
ppp (2.4.2+20040202-3osso5) unstable; urgency=low

  * Fixed ppp.postinst and ppp.postrm to work with busybox.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed,  6 Apr 2005 13:47:49 +0300

ppp (2.4.2+20040202-3osso4) unstable; urgency=low

  * Remove dependency to PAM, patch from Ed Bartosh.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue,  2 Nov 2004 11:17:22 +0200

ppp (2.4.2+20040202-3osso3) unstable; urgency=low

  * Fix alignment issue for MS-CHAP and MS-CHAP-v2 authentications

 -- Timo Ters <ext-timo.teras@nokia.com>  Tue, 12 Oct 2004 18:29:14 +0300

ppp (2.4.2+20040202-3osso2) unstable; urgency=low

  * Don't build udeb and -dev packages, this time for real. Also the ppp
    sources are now in CVS, so they don't get lost again.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu,  9 Sep 2004 15:06:03 +0300

ppp (2.4.2+20040202-3osso1) unstable; urgency=low

  * Sources for the original 2.4.2+20040202-3osso1 were lost and I try
    copy all the changes to a new -3osso1. Let's see how this goes.
  * Disabled udeb build.
  * Disabled usage of libpcap and removed build dependency to it.
  * Disabled IPv6.
  * Disabled pppoatm.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu,  9 Sep 2004 12:35:45 +0300

ppp (2.4.2+20040202-3) unstable; urgency=medium

  * Fixed the dependencies of ppp-udeb/ppp-dev. (Closes: #243774)
  * New debconf translation: tr. (Closes: #243684)
  * Added ipv6-{up,down} scripts. (Closes: #243330)

 -- Marco d'Itri <md@linux.it>  Thu, 15 Apr 2004 19:53:16 +0200

ppp (2.4.2+20040202-2) unstable; urgency=medium

  * Enabled the postinst script in ppp-udeb, now it should be almost
    useful.
  * Add a workaround to the 0000usepeerdns scripts to not fail if
    /etc/resolv.conf does not exist. (Closes: #235583)
  * Added new debconf translations: fr, nl, ja.
    (Closes: #236726, #239458, #237176)
  * Fixed *again* the $PID regexp in poff, to be compatible with mawk.
    (Closes: #238667, #239766)

 -- Marco d'Itri <md@linux.it>  Sun, 11 Apr 2004 16:22:24 +0200

ppp (2.4.2+20040202-1) unstable; urgency=medium

  * New upstream release, with updates from CVS. (Closes: #102876)
  * Patches removed because they have been merged upstream:
    009_SETUP.diff 012_secure-card.diff 053_pppoe-fix-persist
    054_pppoe-no-dead-code 055_pppoe-update-3.5 056_pppoe-nas-tap
    devnam_path disable_evil_slprintf_r makefiles_use_copts
    parisc_eagain_fix peerdns-env-always ppp-2.4.0-ttyperms.dif
    pppd.8-filters warning_ipv6cp.
  * Removed patch 005_fsm.c.diff, the upstream author thinks it violates
    RFC1661.
  * Removed patch 006_ipcp.c.diff, it appears to be useless.
  * Fixed the $PID regexp in poff. (Closes: #219442, #225443)
  * Use mv -f in 0000usepeerdns. (Closes: #225792)
  * Added debian/po/. (Closes: #233758)
  * New patch fix_closed_fds: make sure that fd numbers 0, 1 and 2 are not
    used for a socket. (Closes: #235192)

 -- Marco d'Itri <md@linux.it>  Sun, 29 Feb 2004 18:54:34 +0100

ppp (2.4.2+20031127-2) unstable; urgency=medium

  * New upstream snapshot, only documentation changes.
  * New patch pppoe-nas-tap: make the pppoe plugin accept nas and tap
    devices too, from Carlos Fonseca. (Closes: #221759)
  * New patch pppoe-interface-up: make the pppoe plugin set the interface up.
    (Closes: #222558)
  * Do not make 0000usepeerdns-up fail if resolv.conf is empty.
    (Closes: #221121)
  * Removed patch use_system_logwtmp: it breaks utmp updates.
    (Closes: #222261)
  * Resurrected ppp.udeb.
  * Removed patch: ppp-2.4.1-MSCHAPv2-fix.patch (was applied to dead code).
  * New patch: ppp-2.4.2-stripMSdomain (I ported the old patch to the new
    CHAP code).
  * New patch: no_crypt_hack, because the d-i libc does not have crypt(3).
  * Clean up the APM script. (Closes: #222008, #222436)
  * New patch: parisc_eagain_fix to fix the EAGAIN != EWOULDBLOCK bug on
    parisc, by James Bottomley. (Closes: #224982)

 -- Marco d'Itri <md@linux.it>  Thu,  4 Dec 2003 11:54:35 +0100

ppp (2.4.2+20031002-4) unstable; urgency=medium

  * Deprecate /etc/ppp/ppp_on_boot in favour of ifupdown.
  * Added /etc/apm/event.d/ppp to support APM. (Closes: #217821)
  * Remove the logrotate entry for ppp.log, as syslog daemons manage
    logging by themselves. (Closes: #216786, #217190)
  * Add documentation about setting the default route. (Closes: #85426)

 -- Marco d'Itri <md@linux.it>  Thu, 30 Oct 2003 21:04:15 +0100

ppp (2.4.2+20031002-3) unstable; urgency=medium

  * New patch 043_pppoatm-no-modprobe: do not run modprobe inside pppd.
  * Removed the run-parts --report option from ip-{up,down} because it
    caused it to wait for childs. (Closes: #214473)
  * Suggests: libatm1. (Closes: #215874)
  * Allow / in the poff parameter. (Closes: #215972)
  * New example file per-linkname, from Eyal Rozenberg.

 -- Marco d'Itri <md@linux.it>  Sat, 18 Oct 2003 12:34:26 +0200

ppp (2.4.2+20031002-2) unstable; urgency=medium

  * Fixed poff regexp. (Closes: #214051)

 -- Marco d'Itri <md@linux.it>  Mon,  6 Oct 2003 20:21:10 +0200

ppp (2.4.2+20031002-1) unstable; urgency=low

  * Fresh CVS checkout.
  * Removed the part of 040_pppoatm.diff which added a remove_option
    member to struct protent in pppd.h. This has no apparent meaning
    and breaks many other users of protent, like IPCP.
    Debugged by Benjamin Heuer. (Closes: #213352)
  * Conflict with incompatible versions of pppdcapiplugin. (Closes: #213217)

 -- Marco d'Itri <md@linux.it>  Tue, 30 Sep 2003 23:06:12 +0200

ppp (2.4.2+20030811-6) unstable; urgency=low

  * Fix run-parts call in ip-{up,down}. (Closes: #213059)
  * Removed ppp.udeb because it's apparently useless.
  * New patch 042_pppoatm-libatm-workaround: work around a bug in
    libatm1-dev which caused libatm.a to be statically linked (see #213146).
    Now libatm1 needs to be installed if this plugin is used.
  * Some obsolete information has been removed from README.Debian.

 -- Marco d'Itri <md@linux.it>  Sun, 28 Sep 2003 19:48:32 +0200

ppp (2.4.2+20030811-5) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
SHELL=/bin/bash -e

export DH_VERBOSE=1
export NOISY=1

#BUILD_UDEB := 1

include debian/scripts/vars

BUILD_DIR := $(SOURCE_DIR)/$(TAR_DIR)
B := $(BUILD_DIR)
D := $(CURDIR)/debian/ppp

ifdef BUILD_UDEB
PACKAGE := ppp-udeb
VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH := $(shell dpkg --print-architecture)
FILENAME := $(PACKAGE)_$(VERSION)_$(ARCH).udeb
PRIORITY := $(shell grep ^Priority: debian/control | head -1 | cut -d ' ' -f 2)
endif

# Various collections of files for use with dh_* tools.
DOCS  := README.linux FAQ README SETUP PLUGINS README.MSCHAP80 README.cbcp
DOCS2 := README.STATIC-IP README.win9x defaultroute

all: build

unpack: $(STAMP_DIR)/unpack
$(STAMP_DIR)/unpack:
	$(MAKE) -f debian/sys-build.mk source.make
	touch $@

# used by the maintainer
unpack.nopatch: 
	$(MAKE) -f debian/sys-build.mk source.build

# used by the maintainer
diff:
	$(MAKE) -f debian/sys-build.mk make-diff

clean:
	$(MAKE) -f debian/sys-build.mk source.clean
	dh_clean


configure: $(STAMP_DIR)/configure
$(STAMP_DIR)/configure: $(STAMP_DIR)/unpack
	dh_testdir
	-$(MAKE) clean
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		./configure \
	"
	touch $@


build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: $(STAMP_DIR)/configure
	dh_testdir
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		$(MAKE) USE_PAM= FILTER= HAVE_INET6= CBCP= \
	"
	touch $@

udeb: build-udeb
build-udeb: $(STAMP_DIR)/build-udeb
$(STAMP_DIR)/build-udeb: $(STAMP_DIR)/configure
ifdef BUILD_UDEB
	dh_testdir
	cd $B && if [ ! -d pppd-udeb/ ]; then \
		mkdir pppd-udeb/ && \
		cd pppd-udeb/ && \
		chmod +x $(CURDIR)/extra/lndir.sh && \
		$(CURDIR)/extra/lndir.sh ../pppd && \
		$(MAKE) clean && \
		cd plugins && $(MAKE) clean ; \
	fi
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		cd pppd-udeb/ && \
		$(MAKE) COPTS=\"-Os -fomit-frame-pointer\" \
			CHAPMS= USE_CRYPT= NO_CRYPT_HACK=1 MPPE= \
			FILTER= HAVE_MULTILINK= USE_TDB= \
			HAS_SHADOW= USE_PAM= HAVE_INET6= \
			CBCP= USE_SRP= MAXOCTETS= \
		&& \
		cd plugins/ && \
		$(MAKE) COPTS=\"-Os -fomit-frame-pointer\" \
			SUBDIRS=rp-pppoe PLUGINS= \
	"
endif
	touch $@

install: $(STAMP_DIR)/build $(STAMP_DIR)/build-udeb checkroot
	dh_testdir
	dh_clean -k
	dh_installdirs

	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		$(MAKE) install DESTDIR=$D MANDIR='$D/usr/share/man' \
	"

	{ echo "Changelog extracted from README file:" ; \
	  echo ; \
	  sed -e "/^What's new in ppp-/,/package, see the Changes-2.3 file./!d" $B/README ; \
	} > $B/changelog-from-README

binary-arch: install
	rm -rf $D/etc/ppp/*-secrets $D/usr/include/

	install -m755 extra/pon extra/plog extra/poff $D/usr/bin/
	cp extra/pon.completion $D/etc/bash_completion.d/pon

	cp extra/options $D/etc/ppp/
	install -m755 extra/ip-up extra/ip-down extra/ipv6-up extra/ipv6-down \
		$D/etc/ppp/
	install -m755 extra/0000usepeerdns-up $D/etc/ppp/ip-up.d/0000usepeerdns
	install -m755 extra/0000usepeerdns-down \
		$D/etc/ppp/ip-down.d/0000usepeerdns
	install -m755 extra/apm $D/etc/apm/event.d/ppp

	install -m644 extra/pap-secrets extra/chap-secrets \
		extra/provider.peer extra/provider.chatscript \
		$D/usr/share/ppp/
	install -m644 extra/chatscript.pap $D/etc/chatscripts/pap

	dh_installchangelogs	-p ppp \
		$B/changelog-from-README Changes-2.3
	dh_installdocs		-p ppp \
		$(addprefix $B/,$(DOCS)) $(addprefix extra/,$(DOCS2))
	dh_installexamples $B/scripts/ extra/autopppd extra/userscripts-* \
		extra/popp extra/filters extra/options.ttyXX \
		extra/peers-pppoe extra/per-linkname
	# use our own version, not the upstream one
	mv $D/usr/share/doc/ppp/examples/autopppd \
		$D/usr/share/doc/ppp/examples/scripts/
	dh_installman extra/pon.1
	dh_link
	dh_installlogrotate
	dh_installinit --init-script=pppd-dns --no-start \
		--update-rcd-params='start 38 S .'
	dh_installinit --no-start \
		--update-rcd-params='start 14 2 3 4 5 . stop 86 0 1 6 .'

	dh_strip		-a
	dh_compress		-a
	dh_fixperms		-a

	chown root:dip $D/usr/sbin/pppd \
		$D/etc/ppp/ $D/etc/ppp/peers/ $D/etc/chatscripts/
	chmod 4754 $D/usr/sbin/pppd
	chmod 2750 $D/etc/ppp/peers/ $D/etc/chatscripts/

	dh_md5sums		-a
	dh_shlibdeps		-a --exclude=pppoatm.so
	dh_installdeb		-a

#	ppp ###############################
	dh_gencontrol		-p ppp
	dh_builddeb		-p ppp

ifdef BUILD_UDEB
#	ppp-udeb ##########################
	dh_installdirs -p ppp-udeb etc/ppp/peers/ usr/sbin/ \
		usr/lib/pppd/2.4.2b3/ usr/lib/prebaseconfig.d/
	grep '^[a-zA-Zo-9]' extra/options > $D/etc/ppp/options
#	cp $B/chat/chat $D-udeb/usr/sbin/
	cp $B/pppd-udeb/pppd $D-udeb/usr/sbin/
	cp $B/pppd-udeb/pppd $D-udeb/usr/sbin/
	cp $B/pppd-udeb/plugins/rp-pppoe/rp-pppoe.so \
		$D-udeb/usr/lib/pppd/2.4.2b3/
	cp extra/prebaseconfig $D-udeb/usr/lib/prebaseconfig.d/60pppoe

	dh_installdeb		-p ppp-udeb
	dh_installdebconf	-p ppp-udeb
#	Don't write your stupid guesses to debian/files.
	dh_gencontrol		-p ppp-udeb -- -fdebian/files~
#	Register file manually.
	dpkg-distaddfile	$(FILENAME) debian-installer $(PRIORITY)
	dh_builddeb		-p ppp-udeb --filename=$(FILENAME)
endif

binary-indep: install
	dh_installchangelogs	-i \
		$B/changelog-from-README Changes-2.3
	dh_installdocs		-i

	cp $(addprefix $B/include/net/,pppio.h *compress.h) \
		$(addprefix $B/pppd/,pppd.h fsm.h lcp.h ipcp.h patchlevel.h) \
		$D-dev/usr/include/net/

	dh_compress		-i
	dh_fixperms		-i

	dh_installdeb		-i
	dh_gencontrol		-i
	dh_builddeb		-i


checkroot:
	test root = "`whoami`"

binary:	binary-arch

.PHONY: binary binary-arch binary-indep unpack configure build clean checkroot

## ppp 2.4.2+20040202-3osso6

=== debian/changelog ===
ppp (2.4.2+20040202-3osso6) unstable; urgency=low

  * Fixed ppp.postinst and ppp.postrm to work with busybox.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed,  6 Apr 2005 13:47:49 +0300

## ppp 2.4.2+20040202-3osso7

=== debian/changelog ===
ppp (2.4.2+20040202-3osso7) unstable; urgency=low

  * Apply thumb code, patch from Leonid Moiseichuk. (closes: #27108)

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue, 25 Apr 2006 16:30:36 +0300

=== debian/control ===
Source: ppp
Section: base
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 4.1.17)
Standards-Version: 3.6.1

Package: ppp
Section: base
Architecture: any
Depends: ${shlibs:Depends}, netbase, procps, makedev (>= 2.3.1-56)
Conflicts: ppp-pam, ppp-udeb, pppdcapiplugin (<= 1:3.2pre3-4)
Replaces: ppp-pam, ppp-udeb
Description: Point-to-Point Protocol (PPP) daemon
 The Point-to-Point Protocol (PPP) provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link (the "peers") to negotiate various optional
 characteristics of the link.  Using PPP, a serial link can be used to
 transmit Internet Protocol (IP) datagrams, allowing TCP/IP connections
 between the peers.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,13 @@
 FILENAME := $(PACKAGE)_$(VERSION)_$(ARCH).udeb
 PRIORITY := $(shell grep ^Priority: debian/control | head -1 | cut -d ' ' -f 2)
 endif
+
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
+export CFLAGS
 
 # Various collections of files for use with dh_* tools.
 DOCS  := README.linux FAQ README SETUP PLUGINS README.MSCHAP80 README.cbcp

## ppp 2.4.4rel-8osso4

=== debian/changelog ===
ppp (2.4.4rel-8osso4) unstable; urgency=low

  * Added GPL v2 and LGPL v2.1 licence text files. Fixes: NB#81041
  * Don't install pppd-dns init script or usepeerdns ip-up.d and ip-down.d
    scripts. Fixes: NB#80711

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 22 Feb 2008 12:04:00 +0200

ppp (2.4.4rel-8osso3) unstable; urgency=low

  * Removed default route removal. Fixes: NB#67363

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  3 Sep 2007 11:42:38 +0300

ppp (2.4.4rel-8osso2) unstable; urgency=low

  * Do not change valid exit status on hangup. Fixes: NB#56591

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 12 Jun 2007 14:29:27 +0300

ppp (2.4.4rel-8osso1) unstable; urgency=low

  * New upstream version
  * Append CFLAGS in makefiles (OSSO patch)
  * Removed PAM and libpcap dependencies (OSSO patch)
  * Removed unused binary package generation (OSSO patch)
  * Patched installation to work with busybox (OSSO patch)
  * Applied thumb code generation (OSSO patch)

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  5 Jun 2007 15:18:08 +0300

ppp (2.4.4rel-8) unstable; urgency=high

  * urgency high since fixes an RC bug
  * make sure the /etc/resolv.conf file is world readable (Closes: #415077)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sat, 17 Mar 2007 22:31:45 +0200

ppp (2.4.4rel-7) unstable; urgency=high

  * urgency set to high to catch the RC2 release
  * Updated translations: pt_BR  (Closes: #411544)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sun,  4 Mar 2007 17:59:00 +0200

ppp (2.4.4rel-6) unstable; urgency=low

  * Updated translations: da, it, es
    (Closes: #409479, #410326)
  * New translations:
    - Basque, thanks to Piarres Beobide <pi@beobide.net>
    - Catalan, thanks to Jordà Polo <jorda@ettin.org> (closes: 410215)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 12 Feb 2007 17:36:46 +0200

ppp (2.4.4rel-5) unstable; urgency=low

  [ Eddy Petrișor ]
  * added ${misc:Depends} to ppp-udeb
  * removed debconf as a dependency of ppp-udeb since such a package does not
    exist in d-i environment
  * ppp-udeb: the interface is now brought up in the installed system
    (Closes: #402450, #406231)
  * ppp-udeb: loopback interface snippet is added too, to make sure we have it
    in the installed system
  * ppp-udeb: added error handling if the wrong login info is sent or other
    error is returned while calling the provider
  * ppp-udeb: after triggering the connection wait to see if the connection is
    actually done, don't assume everything went fine
  * make a PID file in /var/run/ppp-udeb.pid to be able to kill the right
    process later (pppd creates one only after a succesful installation)
  * Added myself to Uploaders with maintainer's consent.
  * Updated po-debconf translations: sv, ru, cs, de, ro, fr, nl, ja, pt
    (Closes: #406993, #408004, #407684)
  * Added po-debconf translations:
    - Tamil (ta), thanks to Tirumurti Vasudevan
    - Norwegian Bokmål (nb), thanks to Hans F. Nordhaug
    - Galician (gl), thanks to Jacobo Tarrio (Closes: #407893)
  * ppp-udeb: use "|| exit 10" for password and username as suggested by Frans
  * ppp-udeb: add the possibility to go back to menu (thanks to Frans for the
    hint)
  * added a new template for the progress bar while waiting to connect;
    imported entirely (including translations) from partman
  * updated ppp-udeb.todo (only integration with netcfg remains)
  * s/Type: progress/Type: text/ in ppp-udeb.templates, it seems I was on some
    kind of crack when I said the type is progress

  [ Frans Pop ]
  * ppp-udeb: general review resulting in some corrections and restructuring
  * ppp-udeb: set up loopback interface in installer environment
  * ppp-udeb: ask for hostname and check validity (using netcfg template)
  * ppp-udeb: create /etc/hostname and basic /etc/hosts files

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 29 Jan 2007 16:58:03 +0200

ppp (2.4.4rel-4.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's consent.
  * New patch fix_mschapv2_ppp which makes ppp works with mschapv2. Thanks
    to Guillaume Knispel <gknispel@proformatique.com>. Closes: #381420.
  * Add hints section to README.pppoe (pppoe_readme patch) and iptables to 
    Suggests. Thanks to Joerg Dorchain <joerg@dorchain.net>. Closes: #251918.
  * Improve the chat manpage concerning timeout (chap_man patch).
    Closes: #320494.

 -- Arnaud Fontaine <arnaud@andesi.org>  Thu, 14 Dec 2006 21:31:55 +0100

ppp (2.4.4rel-4) unstable; urgency=low

  [ Eddy Petrișor ]
  * Using provider as the pppoe profile name in ppp-udeb so that the
    connection starts after reboot and to integrate better with ppp helpers.
  * Implemented idempotency in ppp-udeb by following the pid file generated
    by pppd and bringing down interfaces which were rised by ppp-udeb.
  * Improved some conditions which were problematic in concentrator detection.
  * Deal elegantly with resolv.conf when using peer dns in ppp-udeb.
  * Really detect if the interfaces were raised before ppp-udeb probed.
  * Added a ppp-udeb.dirs file.
  * Revert the gratuitous type change to "note" for ppp/detect_progress.
    (Closes: #395197)
  * Fix some mistakes in ppp-udeb.postinst which could have caused some of the
    strange issues seen during early tests. (Closes: #395187)
  * Updated debconf translation: ro.

  [ Marco d'Itri ]
  * Pass the command line arguments to the ip*-{up,down} scripts.
    (Closes: #378810)
  * Updated debconf translations: de, ru. (Closes: #396035, #397169)
  * Improved bash completion. (Closes: #397037)

 -- Marco d'Itri <md@linux.it>  Tue, 14 Nov 2006 12:52:29 +0100

ppp (2.4.4rel-3) unstable; urgency=medium

  [ Luk Claes ]
  * Add a Provides entry in the LSB type header (Closes: #386387).
  * Updated debconf translations: ro, fr, es, cs, nl, sv, ja.
    (Closes: #377672, #384191, #378636, #380529, #384875, #386769)
    (Closes: #387028, #390489).
  * Fix PPPDIR (Closes: #384121, #392858).

  [ Eddy Petrişor ]


=== debian/control ===
Source: ppp
Section: admin
Priority: optional
Maintainer: Aapo Makela <aapo.makela@nokia.com>
Build-Depends: debhelper (>> 4.1.17), zlib1g-dev
Standards-Version: 3.7.2.2

Package: ppp
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, netbase, procps
Conflicts: ppp-pam, ppp-udeb, pppdcapiplugin (<= 1:3.7.2005-07-09-2), makedev (<< 2.3.1-56)
Replaces: ppp-pam, ppp-udeb
Suggests: iptables
Description: Point-to-Point Protocol (PPP) daemon
 The Point-to-Point Protocol (PPP) provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link (the "peers") to negotiate various optional
 characteristics of the link.  Using PPP, a serial link can be used to
 transmit Internet Protocol (IP) datagrams, allowing TCP/IP connections
 between the peers.

=== debian/rules ===
#!/usr/bin/make -f
SHELL=/bin/bash -e

#BUILD_UDEB := 1

include debian/scripts/vars

BUILD_DIR := $(SOURCE_DIR)/$(TAR_DIR)
B := $(BUILD_DIR)
D := $(CURDIR)/debian/ppp

PPPDDIR := 2.4.4

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

export CFLAGS

# Various collections of files for use with dh_* tools.
DOCS  := FAQ README SETUP PLUGINS README.MPPE README.MSCHAP8? README.cbcp \
	README.pppoe README.pwfd
DOCS2 := README.STATIC-IP README.win9x defaultroute

all: build

unpack: $(STAMP_DIR)/unpack
$(STAMP_DIR)/unpack:
	$(MAKE) -f debian/sys-build.mk source.make
	touch $@

# used by the maintainer
unpack.nopatch: 
	$(MAKE) -f debian/sys-build.mk source.build

# used by the maintainer
diff:
	$(MAKE) -f debian/sys-build.mk make-diff

clean:
	$(MAKE) -f debian/sys-build.mk source.clean
	dh_clean


configure: $(STAMP_DIR)/configure
$(STAMP_DIR)/configure: $(STAMP_DIR)/unpack
	dh_testdir
	-$(MAKE) clean
	NOISY=1 \
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		./configure --prefix=/usr \
	"
ifdef BUILD_UDEB
	cd $B && if [ ! -d pppd-udeb/ ]; then \
		mkdir pppd-udeb/ && \
		cd pppd-udeb/ && \
		sh $(CURDIR)/extra/lndir.sh ../pppd; \
	fi
endif
	touch $@


build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: $(STAMP_DIR)/configure
	dh_testdir
	NOISY=1 \
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		$(MAKE) \
	"
	touch $@

udeb: build-udeb
build-udeb: $(STAMP_DIR)/build-udeb
$(STAMP_DIR)/build-udeb: $(STAMP_DIR)/configure
ifdef BUILD_UDEB
	dh_testdir
	NOISY=1 \
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		cd pppd-udeb/ && \
		$(MAKE) COPTS=\"-Os -fomit-frame-pointer\" \
			CHAPMS= USE_CRYPT= NO_CRYPT_HACK=1 MPPE= \
			FILTER= HAVE_MULTILINK= USE_TDB= \
			HAS_SHADOW= USE_PAM= HAVE_INET6= \
			CBCP= USE_SRP= MAXOCTETS= USE_BUILTIN_CRYPTO=1 \
		&& \
		cd plugins/ && \
		$(MAKE) COPTS=\"-Os -fomit-frame-pointer\" \
			SUBDIRS='rp-pppoe pppoatm' PLUGINS= \
	"
endif
	touch $@

install: $(STAMP_DIR)/build $(STAMP_DIR)/build-udeb checkroot
	dh_testdir
	dh_clean -k
	dh_installdirs

	NOISY=1 \
	$(MAKE) -f debian/sys-build.mk source.command SOURCE_CMD=" \
		$(MAKE) install DESTDIR=$D/usr/ \
	"

	{ echo "Changelog extracted from README file:" ; \
	  echo ; \
	  sed -e "/^What's new in ppp-/,/package, see the Changes-2.3 file./!d" $B/README ; \
	} > $B/changelog-from-README

binary-arch: install
	rm -rf $D/etc/ppp/*-secrets
	rm -rf $D/usr/include/

	install -m755 extra/pon extra/plog extra/poff $D/usr/bin/
	cp extra/pon.completion $D/etc/bash_completion.d/pon

	cp extra/options $D/etc/ppp/
	install -m755 extra/ip-up extra/ip-down extra/ipv6-up extra/ipv6-down \
		$D/etc/ppp/
#	install -m755 extra/0000usepeerdns-up $D/etc/ppp/ip-up.d/0000usepeerdns
#	install -m755 extra/0000usepeerdns-down \
#		$D/etc/ppp/ip-down.d/0000usepeerdns
	install -m755 extra/apm $D/etc/apm/event.d/ppp

	install -m644 extra/pap-secrets extra/chap-secrets \
		extra/provider.peer extra/provider.chatscript \
		$D/usr/share/ppp/
	install -m644 extra/chatscript.pap $D/etc/chatscripts/pap

	dh_installchangelogs	-p ppp \
		$B/changelog-from-README Changes-2.3
	dh_installdocs		-p ppp \
		$(addprefix $B/,$(DOCS)) $(addprefix extra/,$(DOCS2))
	dh_installexamples $B/scripts/ extra/autopppd extra/userscripts-* \
		extra/popp extra/filters extra/options.ttyXX \
		extra/peers-* extra/interfaces extra/per-linkname
	# use our own version, not the upstream one
	mv $D/usr/share/doc/ppp/examples/autopppd \
		$D/usr/share/doc/ppp/examples/scripts/
	dh_installman extra/pon.1 extra/pppoe-discovery.8
	dh_link
	dh_installlogrotate
#	dh_installinit --init-script=pppd-dns --no-start \
#		--update-rcd-params='start 38 S .'

ifdef BUILD_UDEB
	dh_installdirs -p ppp-udeb etc/ppp/peers/ usr/sbin/ \
		usr/lib/pppd/$(PPPDDIR)/ usr/lib/post-base-installer.d/
	grep '^[a-zA-Z0-9]' extra/options > $D-udeb/etc/ppp/options
#	cp $B/chat/chat $D-udeb/usr/sbin/
	cp $B/pppd-udeb/pppd $D-udeb/usr/sbin/
	cp $B/pppd-udeb/pppd $B/pppd-udeb/plugins/rp-pppoe/pppoe-discovery \
		$D-udeb/usr/sbin/
	cp $B/pppd-udeb/plugins/rp-pppoe/rp-pppoe.so \
		$B/pppd-udeb/plugins/pppoatm/pppoatm.so \
		$D-udeb/usr/lib/pppd/$(PPPDDIR)/
	cp extra/ppp-udeb.ip-up \
		$D-udeb/etc/ppp/ip-up
	chmod 0755 $D-udeb/etc/ppp/ip-up
	install -m755 extra/ppp-udeb-postbaseinst \
		$D-udeb/usr/lib/post-base-installer.d/30ppp
	dh_installdebconf
endif

	dh_strip		-a
	dh_compress		-a
	dh_fixperms		-a

	chown root:dip $D/usr/sbin/pppd \
		$D/etc/ppp/ $D/etc/ppp/peers/ $D/etc/chatscripts/
	chmod 4754 $D/usr/sbin/pppd
	chmod 2750 $D/etc/ppp/peers/ $D/etc/chatscripts/

	dh_md5sums		-a
	dh_shlibdeps		-a
	dh_installdeb		-a

	dh_gencontrol		-a
	dh_builddeb		-a

binary-indep: install
	dh_installchangelogs	-i $B/changelog-from-README Changes-2.3
	dh_installdocs		-i

	dh_compress		-i
	dh_fixperms		-i

	dh_installdeb		-i
	dh_gencontrol		-i
	dh_builddeb		-i


checkroot:
	test root = "`whoami`"

binary:	binary-arch

.PHONY: binary binary-arch binary-indep unpack configure build clean checkroot

## ppp 2.4.5-1

=== Makefile ===
# PPP top-level Makefile for Linux.

DESTDIR = $(INSTROOT)/usr
BINDIR = $(DESTDIR)/sbin
INCDIR = $(DESTDIR)/include
MANDIR = $(DESTDIR)/share/man
ETCDIR = $(INSTROOT)/etc/ppp

# uid 0 = root
INSTALL= install

all:
	cd chat; $(MAKE) $(MFLAGS) all
	cd pppd/plugins; $(MAKE) $(MFLAGS) all
	cd pppd; $(MAKE) $(MFLAGS) all
	cd pppstats; $(MAKE) $(MFLAGS) all
	cd pppdump; $(MAKE) $(MFLAGS) all

install: $(BINDIR) $(MANDIR)/man8 install-progs install-devel

install-progs:
	cd chat; $(MAKE) $(MFLAGS) install
	cd pppd/plugins; $(MAKE) $(MFLAGS) install
	cd pppd; $(MAKE) $(MFLAGS) install
	cd pppstats; $(MAKE) $(MFLAGS) install
	cd pppdump; $(MAKE) $(MFLAGS) install

install-etcppp: $(ETCDIR) $(ETCDIR)/options $(ETCDIR)/pap-secrets \
	$(ETCDIR)/chap-secrets

install-devel:
	cd pppd; $(MAKE) $(MFLAGS) install-devel

$(ETCDIR)/options:
	$(INSTALL) -c -m 644 etc.ppp/options $@
$(ETCDIR)/pap-secrets:
	$(INSTALL) -c -m 600 etc.ppp/pap-secrets $@
$(ETCDIR)/chap-secrets:
	$(INSTALL) -c -m 600 etc.ppp/chap-secrets $@

$(BINDIR):
	$(INSTALL) -d -m 755 $@
$(MANDIR)/man8:
	$(INSTALL) -d -m 755 $@
$(ETCDIR):
	$(INSTALL) -d -m 755 $@

clean:
	rm -f `find . -name '*.[oas]' -print`
	rm -f `find . -name 'core' -print`
	rm -f `find . -name '*~' -print`
	cd chat; $(MAKE) clean
	cd pppd/plugins; $(MAKE) clean
	cd pppd; $(MAKE) clean
	cd pppstats; $(MAKE) clean
	cd pppdump; $(MAKE) clean

dist-clean:	clean
	rm -f Makefile `find . -name Makefile -print`

#kernel:
#	cd linux; ./kinstall.sh

# no tests yet, one day...
installcheck:
	true

=== debian/changelog ===
ppp (2.4.5-1) unstable; urgency=low

  * Initial release for Maemo 5 (N900).

 -- unknown <gjames@mail>  Tue,  9 Nov 2010 07:15:27 -0500

=== debian/control ===
Source: ppp
Section: user/network 
Priority: standard
Maintainer: unknown <gjames@mail>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: ppp
Section: user/network
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Point-to-Point Protocol provides a standard way to transmit datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics of the link.  This package is most commonly used to manage a modem for dial-up or certain kinds of broadband connections.

## ppp 2.4.5-2

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,9 @@
 $(BINDIR):
 	$(INSTALL) -d -m 755 $@
 $(MANDIR)/man8:
-	$(INSTALL) -d -m 755 $@
+	#Not installing documentation in order to conserve space.
+	#$(INSTALL) -d -m 755 $@
+	echo Skipping...
 $(ETCDIR):
 	$(INSTALL) -d -m 755 $@

=== chat/Makefile ===
#	$Id: Makefile.linux,v 1.15 2006/06/04 05:07:46 paulus Exp $

DESTDIR = $(INSTROOT)/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8

CDEF1=	-DTERMIOS			# Use the termios structure
CDEF2=	-DSIGTYPE=void			# Standard definition
CDEF3=	-UNO_SLEEP			# Use the usleep function
CDEF4=	-DFNDELAY=O_NDELAY		# Old name value
CDEFS=	$(CDEF1) $(CDEF2) $(CDEF3) $(CDEF4)

COPTS=	-O2 -g -pipe
CFLAGS=	$(COPTS) $(CDEFS)

INSTALL= install

all:	chat

chat:	chat.o
	$(CC) -o chat chat.o

chat.o:	chat.c
	$(CC) -c $(CFLAGS) -o chat.o chat.c

install: chat
	mkdir -p $(BINDIR) $(MANDIR)
	$(INSTALL) -s -c chat $(BINDIR)
	$(INSTALL) -c -m 644 chat.8 $(MANDIR)

clean:
	rm -f chat.o chat *~

=== pppd/Makefile ===
#
# pppd makefile for Linux
# $Id: Makefile.linux,v 1.70 2007/06/19 02:08:34 carlsonj Exp $
#

# Default installation locations
DESTDIR = $(INSTROOT)/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8
INCDIR = $(DESTDIR)/include

TARGETS = pppd

PPPDSRCS = main.c magic.c fsm.c lcp.c ipcp.c upap.c chap-new.c md5.c ccp.c \
	   ecp.c ipxcp.c auth.c options.c sys-linux.c md4.c chap_ms.c \
	   demand.c utils.c tty.c eap.c chap-md5.c session.c

HEADERS = ccp.h session.h chap-new.h ecp.h fsm.h ipcp.h \
	ipxcp.h lcp.h magic.h md5.h patchlevel.h pathnames.h pppd.h \
	upap.h eap.h

MANPAGES = pppd.8
PPPDOBJS = main.o magic.o fsm.o lcp.o ipcp.o upap.o chap-new.o md5.o ccp.o \
	   ecp.o auth.o options.o demand.o utils.o sys-linux.o ipxcp.o tty.o \
	   eap.o chap-md5.o session.o

#
# include dependencies if present
ifeq (.depend,$(wildcard .depend))
include .depend
endif

# CC = gcc
#
COPTS = -O2 -pipe -Wall -g
LIBS =

# Uncomment the next 2 lines to include support for Microsoft's
# MS-CHAP authentication protocol.  Also, edit plugins/radius/Makefile.linux.
CHAPMS=y
USE_CRYPT=y
# Don't use MSLANMAN unless you really know what you're doing.
#MSLANMAN=y
# Uncomment the next line to include support for MPPE.  CHAPMS (above) must
# also be enabled.  Also, edit plugins/radius/Makefile.linux.
MPPE=y

# Uncomment the next line to include support for PPP packet filtering.
# This requires that the libpcap library and headers be installed
# and that the kernel driver support PPP packet filtering.
FILTER=y

# Uncomment the next line to enable multilink PPP (enabled by default)
# Linux distributions: Please leave multilink ENABLED in your builds
# of pppd!
HAVE_MULTILINK=y

# Uncomment the next line to enable the TDB database (enabled by default.)
# If you enable multilink, then TDB is automatically enabled also.
# Linux distributions: Please leave TDB ENABLED in your builds.
USE_TDB=y

HAS_SHADOW=y
#USE_PAM=y
#HAVE_INET6=y

# Enable plugins
PLUGIN=y

# Enable Microsoft proprietary Callback Control Protocol
#CBCP=y

# Enable EAP SRP-SHA1 authentication (requires libsrp)
#USE_SRP=y

MAXOCTETS=y

INCLUDE_DIRS= -I../include

COMPILE_FLAGS= -DHAVE_PATHS_H -DIPX_CHANGE -DHAVE_MMAP

CFLAGS= $(COPTS) $(COMPILE_FLAGS) $(INCLUDE_DIRS) '-DDESTDIR="/usr"'

ifdef CHAPMS
CFLAGS   += -DCHAPMS=1
NEEDDES=y
PPPDOBJS += md4.o chap_ms.o
HEADERS	+= md4.h chap_ms.h
ifdef MSLANMAN
CFLAGS   += -DMSLANMAN=1
endif
ifdef MPPE
CFLAGS   += -DMPPE=1
endif
endif

# EAP SRP-SHA1
ifdef USE_SRP
CFLAGS	+= -DUSE_SRP -DOPENSSL -I/usr/local/ssl/include
LIBS	+= -lsrp -L/usr/local/ssl/lib -lcrypto
TARGETS	+= srp-entry
EXTRAINSTALL = $(INSTALL) -s -c -m 555 srp-entry $(BINDIR)/srp-entry
MANPAGES += srp-entry.8
EXTRACLEAN += srp-entry.o
NEEDDES=y
else
# OpenSSL has an integrated version of SHA-1, and its implementation
# is incompatible with this local SHA-1 implementation.  We must use
# one or the other, not both.
PPPDSRCS += sha1.c
HEADERS += sha1.h
PPPDOBJS += sha1.o
endif

ifdef HAS_SHADOW
CFLAGS   += -DHAS_SHADOW
#LIBS     += -lshadow $(LIBS)
endif

ifneq ($(wildcard /usr/include/crypt.h),)
CFLAGS  += -DHAVE_CRYPT_H=1
LIBS	+= -lcrypt
endif

ifdef NEEDDES
ifndef USE_CRYPT
LIBS     += -ldes $(LIBS)
else
CFLAGS   += -DUSE_CRYPT=1
endif
PPPDOBJS += pppcrypt.o
HEADERS += pppcrypt.h
endif

# For "Pluggable Authentication Modules", see ftp.redhat.com:/pub/pam/.
ifdef USE_PAM
CFLAGS   += -DUSE_PAM
LIBS     += -lpam -ldl
endif

# Multi-linnk
ifdef HAVE_MULTILINK
	# Multilink implies the use of TDB
	USE_TDB=y

	CFLAGS += -DHAVE_MULTILINK
	PPPDSRCS += multilink.c
	PPPDOBJS += multilink.o
endif

# TDB
ifdef USE_TDB
	CFLAGS += -DUSE_TDB=1
	PPPDSRCS += tdb.c spinlock.c
	PPPDOBJS += tdb.o spinlock.o
	HEADERS += tdb.h spinlock.h
endif

# Lock library binary for Linux is included in 'linux' subdirectory.
ifdef LOCKLIB
LIBS     += -llock
CFLAGS   += -DLOCKLIB=1
endif

ifdef PLUGIN
CFLAGS	+= -DPLUGIN
LDFLAGS	+= -Wl,-E
LIBS	+= -ldl
endif

ifdef FILTER
ifneq ($(wildcard /usr/include/pcap-bpf.h),)
LIBS    += -lpcap
CFLAGS  += -DPPP_FILTER
endif
endif

ifdef HAVE_INET6
     PPPDSRCS += ipv6cp.c eui64.c
     HEADERS  += ipv6cp.h eui64.h
     PPPDOBJS += ipv6cp.o eui64.o
     CFLAGS   += -DINET6=1
endif

ifdef CBCP
     PPPDSRCS += cbcp.c
     PPPDOBJS += cbcp.o
     CFLAGS += -DCBCP_SUPPORT
     HEADERS += cbcp.h
endif

ifdef MAXOCTETS
     CFLAGS += -DMAXOCTETS
endif

INSTALL= install

all: $(TARGETS)

install: pppd
	mkdir -p $(BINDIR) $(MANDIR)
	$(EXTRAINSTALL)
	$(INSTALL) -s -c -m 555 pppd $(BINDIR)/pppd
	if chgrp pppusers $(BINDIR)/pppd 2>/dev/null; then \
	  chmod o-rx,u+s $(BINDIR)/pppd; fi
	$(INSTALL) -c -m 444 pppd.8 $(MANDIR)

pppd: $(PPPDOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o pppd $(PPPDOBJS) $(LIBS)

srp-entry:	srp-entry.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ srp-entry.c $(LIBS)

install-devel:
	mkdir -p $(INCDIR)/pppd
	$(INSTALL) -c -m 644 $(HEADERS) $(INCDIR)/pppd

clean:
	rm -f $(PPPDOBJS) $(EXTRACLEAN) $(TARGETS) *~ #* core

depend:
	$(CPP) -M $(CFLAGS) $(PPPDSRCS) >.depend

=== pppdump/Makefile ===
DESTDIR = $(INSTROOT)/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8

CFLAGS= -O -I../include/net
OBJS = pppdump.o bsd-comp.o deflate.o zlib.o

INSTALL= install

all:	pppdump

pppdump: $(OBJS)
	$(CC) -o pppdump $(OBJS)

clean:
	rm -f pppdump $(OBJS) *~

install:
	mkdir -p $(BINDIR) $(MANDIR)
	$(INSTALL) -s -c pppdump $(BINDIR)
	$(INSTALL) -c -m 444 pppdump.8 $(MANDIR)

=== pppstats/Makefile ===
#
# pppstats makefile
# $Id: Makefile.linux,v 1.9 2006/06/04 05:07:46 paulus Exp $
#
DESTDIR = $(INSTROOT)/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8

PPPSTATSRCS = pppstats.c
PPPSTATOBJS = pppstats.o

#CC = gcc
COPTS = -O
COMPILE_FLAGS = -I../include
LIBS =

INSTALL= install

CFLAGS = $(COPTS) $(COMPILE_FLAGS)

all: pppstats

install: pppstats
	-mkdir -p $(MANDIR)
	$(INSTALL) -s -c pppstats $(BINDIR)
	$(INSTALL) -c -m 444 pppstats.8 $(MANDIR)

pppstats: $(PPPSTATSRCS)
	$(CC) $(CFLAGS) -o pppstats pppstats.c $(LIBS)

clean:
	rm -f pppstats *~ #* core

depend:
	cpp -M $(CFLAGS) $(PPPSTATSRCS) >.depend
#	makedepend $(CFLAGS) $(PPPSTATSRCS)

=== pppd/plugins/Makefile ===
#CC	= gcc
COPTS	= -O2 -g
CFLAGS	= $(COPTS) -I.. -I../../include -fPIC
LDFLAGS	= -shared
INSTALL	= install

DESTDIR = $(INSTROOT)/usr
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

SUBDIRS := rp-pppoe pppoatm pppol2tp
# Uncomment the next line to include the radius authentication plugin
SUBDIRS += radius
PLUGINS := minconn.so passprompt.so passwordfd.so winbind.so

# include dependencies if present
ifeq (.depend,$(wildcard .depend))
include .depend
endif

all:	$(PLUGINS)
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d all; done

%.so: %.c
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../patchlevel.h)

install: $(PLUGINS)
	$(INSTALL) -d $(LIBDIR)
	$(INSTALL) $? $(LIBDIR)
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d install; done

clean:
	rm -f *.o *.so *.a
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d clean; done

depend:
	$(CPP) -M $(CFLAGS) *.c >.depend
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d depend; done

=== pppd/plugins/pppoatm/Makefile ===
#CC	= gcc
COPTS	= -O2 -g
CFLAGS	= $(COPTS) -I../.. -I../../../include -fPIC
LDFLAGS	= -shared
INSTALL	= install

#***********************************************************************

DESTDIR = $(INSTROOT)/usr
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

PLUGIN := pppoatm.so
PLUGIN_OBJS := pppoatm.o 

#*******
# Do we have the ATM libraries installed? Set HAVE_LIBATM to use them,
# or leave it unset to build the few routines we actually _use_ into
# the plugin directly.
#
#HAVE_LIBATM=yes

ifdef HAVE_LIBATM
LIBS := -latm
else
CFLAGS += -I.
PLUGIN_OBJS += text2qos.o text2atm.o misc.o ans.o
LIBS := -lresolv
endif

#*********
all: $(PLUGIN)

$(PLUGIN): $(PLUGIN_OBJS)
	$(CC) $(CFLAGS) -o $@ -shared $^ $(LIBS)

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -c -m 4550 $(PLUGIN) $(LIBDIR)

clean:
	rm -f *.o *.so

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== pppd/plugins/pppol2tp/Makefile ===
#CC	= gcc
COPTS	= -O2 -g
CFLAGS	= $(COPTS) -I. -I../.. -I../../../include -fPIC
LDFLAGS	= -shared
INSTALL	= install

#***********************************************************************

DESTDIR = /usr
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

PLUGINS := pppol2tp.so openl2tp.so

all: $(PLUGINS)

%.so: %.o
	$(CC) $(CFLAGS) -o $@ -shared $^ $(LIBS)

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -c -m 4550 $(PLUGINS) $(LIBDIR)

clean:
	rm -f *.o *.so

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== pppd/plugins/radius/Makefile ===
# Makefile for RADIUS plugin
#
# Copyright 2002 Roaring Penguin Software Inc.
#

DESTDIR = $(INSTROOT)/usr
MANDIR = $(DESTDIR)/share/man/man8
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

INSTALL	= install

PLUGIN=radius.so radattr.so radrealms.so
CFLAGS=-I. -I../.. -I../../../include -O2 -fPIC -DRC_LOG_FACILITY=LOG_DAEMON

# Uncomment the next line to include support for Microsoft's
# MS-CHAP authentication protocol.
CHAPMS=y
# Uncomment the next line to include support for MPPE.
MPPE=y
# Uncomment the next lint to include support for traffic limiting
MAXOCTETS=y

ifdef CHAPMS
CFLAGS += -DCHAPMS=1
ifdef MPPE
CFLAGS += -DMPPE=1
endif
endif
ifdef MAXOCTETS
CFLAGS += -DMAXOCTETS=1
endif

all: $(PLUGIN)

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -s -c -m 755 radius.so $(LIBDIR)
	$(INSTALL) -s -c -m 755 radattr.so $(LIBDIR)
	$(INSTALL) -s -c -m 755 radrealms.so $(LIBDIR)
	$(INSTALL) -c -m 444 pppd-radius.8 $(MANDIR)
	$(INSTALL) -c -m 444 pppd-radattr.8 $(MANDIR)

radius.so: radius.o libradiusclient.a
	$(CC) -o radius.so -shared radius.o libradiusclient.a

radattr.so: radattr.o
	$(CC) -o radattr.so -shared radattr.o

radrealms.so: radrealms.o
	$(CC) -o radrealms.so -shared radrealms.o

CLIENTOBJS = avpair.o buildreq.o config.o dict.o ip_util.o \
	clientid.o sendserver.o lock.o util.o md5.o
libradiusclient.a: $(CLIENTOBJS)
	$(AR) rv $@ $?

clean:
	rm -f *.o *.so *.a

distclean:
	rm -f *.o *.so *.a

dist-clean: distclean

=== pppd/plugins/rp-pppoe/Makefile ===
# Generated automatically from Makefile.in by configure.
#***********************************************************************
#
# Makefile
#
# Makefile for Roaring Penguin's Linux PPPoE plugin.
# Modified for integration with pppd sources by Paul Mackerras.
#
# Copyright (C) 2001 Roaring Penguin Software Inc.
#
# This program may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
#
# $Id: Makefile.linux,v 1.8 2008/06/09 08:34:23 paulus Exp $
#***********************************************************************

DESTDIR = $(INSTROOT)/usr
BINDIR = $(DESTDIR)/sbin
LIBDIR = $(DESTDIR)/lib/pppd/$(PPPDVERSION)

PPPDVERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../../patchlevel.h)

INSTALL	= install

# Version is set ONLY IN THE MAKEFILE!  Don't delete this!
RP_VERSION=3.8p

COPTS=-O2 -g
CFLAGS=$(COPTS) -I../../../include '-DRP_VERSION="$(RP_VERSION)"'
all: rp-pppoe.so pppoe-discovery

pppoe-discovery: pppoe-discovery.o debug.o
	$(CC) -o pppoe-discovery pppoe-discovery.o debug.o

pppoe-discovery.o: pppoe-discovery.c
	$(CC) $(CFLAGS) -c -o pppoe-discovery.o pppoe-discovery.c

debug.o: debug.c
	$(CC) $(CFLAGS) -c -o debug.o debug.c

rp-pppoe.so: plugin.o discovery.o if.o common.o
	$(CC) -o rp-pppoe.so -shared plugin.o discovery.o if.o common.o

install: all
	$(INSTALL) -d -m 755 $(LIBDIR)
	$(INSTALL) -s -c -m 4550 rp-pppoe.so $(LIBDIR)
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) -s -c -m 555 pppoe-discovery $(BINDIR)

clean:
	rm -f *.o *.so pppoe-discovery

plugin.o: plugin.c
	$(CC) $(CFLAGS) -I../../.. -c -o plugin.o -fPIC plugin.c

discovery.o: discovery.c
	$(CC) $(CFLAGS) -I../../.. -c -o discovery.o -fPIC discovery.c

if.o: if.c
	$(CC) $(CFLAGS) -I../../.. -c -o if.o -fPIC if.c

common.o: common.c
	$(CC) $(CFLAGS) -I../../.. -c -o common.o -fPIC common.c

=== debian/changelog ===
ppp (2.4.5-2) unstable; urgency=low

  * Removed 'Section' tag to remove visibility in App Mgr.

 -- unknown <gjames@mail>  Tue,  1 Feb 2011 09:01:34 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Standards-Version: 3.7.2
 
 Package: ppp
-Section: user/network
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: The Point-to-Point Protocol provides a standard way to transmit datagrams over a serial link, as well as a standard way for the machines

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ppp.sgml > ppp.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ppp.
	$(MAKE) prefix=$(CURDIR)/debian/ppp/usr DEST=$(CURDIR)/debian/ppp/usr INSTROOT=$(CURDIR)/debian/ppp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes-2.3
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
